PETSc version 3.15.5
Fix/Edit manual page

# DMGetCoordinatesLocalNoncollective

Non-collective version of DMGetCoordinatesLocal(). Fails if global coordinates have been set and DMGetCoordinatesLocalSetUp() not called.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoordinatesLocalNoncollective(DM dm, Vec *c)

Not collective

### Input Parameter

| dm | - the DM

### Output Parameter

| c | - coordinate vector

### See Also

DMGetCoordinatesLocalSetUp(), DMGetCoordinatesLocal(), DMSetCoordinatesLocal(), DMGetCoordinates(), DMSetCoordinates(), DMGetCoordinateDM()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages